
var fileSystem = WScript.CreateObject("Scripting.FileSystemObject");

function findErrorDll(gdalFolder){
	
	var gdalFiles = new Enumerator(gdalFolder.files);
	var listDll=[];

	for (i=0; !gdalFiles.atEnd(); gdalFiles.moveNext()){
		
		var nameFile=gdalFiles.item().Name.toLowerCase();
		
		if (nameFile.substr(0,4)!="msvc" && nameFile.slice(-3)=="dll"){
			if(fileSystem.FileExists("C:\\Windows\\System32\\"+nameFile)){
				listDll.push(nameFile);
			}
		}	
	}
	
	return listDll;
	
}

function main(){
	
	var gdalFolder=fileSystem.GetFolder(fileSystem.GetParentFolderName(WScript.ScriptFullName)+"\\..\\gvSIG\\extensiones\\org.gvsig.gdal.app.mainplugin\\gdal\\bin\\");
	var jreFolder=fileSystem.GetFolder(fileSystem.GetParentFolderName(WScript.ScriptFullName)+"\\..\\gvSIG\\extensiones\\jre\\bin\\");
	
	var dlls=findErrorDll(gdalFolder);
	
	if (dlls.length==0){
		
		WScript.Echo("No se han encontrado librerias duplicadas");
		return
	}
	
	var dll2show="";
		
	for (j=0; j<dlls.length; j++){
		dll2show+=dlls[j]+"\n";
	}
	
	WScript.Echo("Encontradas las siguientes librerias duplicadas: \n"+dll2show+"\n\nPuede tratar de solucionar los problemas copiando estas librerias de la carpeta: \n"+gdalFolder+"\na la carpeta: \n"+jreFolder);
}
	
main();
